Loading...
Searching...
No Matches
xfs_sb Struct Reference

`#include <xfs_sb.h>`

## Data Fields

uint8_t | sb_agblklog
xfs_agblock_t | sb_agblocks
xfs_agnumber_t | sb_agcount
uint8_t | sb_blocklog
uint32_t | sb_blocksize
xfs_drfsbno_t | sb_dblocks
uint8_t | sb_dirblklog
uint8_t | sb_dummy [7]
uint64_t | sb_fdblocks
uint8_t | sb_flags
char | sb_fname [12]
uint64_t | sb_frextents
xfs_ino_t | sb_gquotino
uint64_t | sb_icount
uint64_t | sb_ifree
uint8_t | sb_imax_pct
xfs_extlen_t | sb_inoalignmt
uint8_t | sb_inodelog
uint16_t | sb_inodesize
uint16_t | sb_inopblock
uint8_t | sb_inopblog
uint8_t | sb_inprogress
xfs_extlen_t | sb_logblocks
xfs_dfsbno_t | sb_logstart
uint32_t | sb_magicnum
uint16_t | sb_qflags
xfs_drfsbno_t | sb_rblocks
xfs_extlen_t | sb_rbmblocks
xfs_ino_t | sb_rbmino
xfs_drtbno_t | sb_rextents
xfs_agblock_t | sb_rextsize
uint8_t | sb_rextslog
xfs_ino_t | sb_rootino
xfs_ino_t | sb_rsumino
uint8_t | sb_sectlog
uint16_t | sb_sectsize
uint8_t | sb_shared_vn
uint32_t | sb_unit
xfs_ino_t | sb_uquotino
uuid_t | sb_uuid
uint16_t | sb_versionnum
uint32_t | sb_width

## Field Documentation

## sb_agblklog

uint8_t xfs_sb::sb_agblklog

## sb_agblocks

xfs_agblock_t xfs_sb::sb_agblocks

## sb_agcount

xfs_agnumber_t xfs_sb::sb_agcount

## sb_blocklog

uint8_t xfs_sb::sb_blocklog

## sb_blocksize

uint32_t xfs_sb::sb_blocksize

## sb_dblocks

xfs_drfsbno_t xfs_sb::sb_dblocks

## sb_dirblklog

uint8_t xfs_sb::sb_dirblklog

## sb_dummy

uint8_t xfs_sb::sb_dummy[7]

## sb_fdblocks

uint64_t xfs_sb::sb_fdblocks

## sb_flags

uint8_t xfs_sb::sb_flags

## sb_fname

char xfs_sb::sb_fname[12]

## sb_frextents

uint64_t xfs_sb::sb_frextents

## sb_gquotino

xfs_ino_t xfs_sb::sb_gquotino

## sb_icount

uint64_t xfs_sb::sb_icount

## sb_ifree

uint64_t xfs_sb::sb_ifree

## sb_imax_pct

uint8_t xfs_sb::sb_imax_pct

## sb_inoalignmt

xfs_extlen_t xfs_sb::sb_inoalignmt

## sb_inodelog

uint8_t xfs_sb::sb_inodelog

## sb_inodesize

uint16_t xfs_sb::sb_inodesize

## sb_inopblock

uint16_t xfs_sb::sb_inopblock

## sb_inopblog

uint8_t xfs_sb::sb_inopblog

## sb_inprogress

uint8_t xfs_sb::sb_inprogress

## sb_logblocks

xfs_extlen_t xfs_sb::sb_logblocks

## sb_logstart

xfs_dfsbno_t xfs_sb::sb_logstart

## sb_magicnum

uint32_t xfs_sb::sb_magicnum

## sb_qflags

uint16_t xfs_sb::sb_qflags

## sb_rblocks

xfs_drfsbno_t xfs_sb::sb_rblocks

## sb_rbmblocks

xfs_extlen_t xfs_sb::sb_rbmblocks

## sb_rbmino

xfs_ino_t xfs_sb::sb_rbmino

## sb_rextents

xfs_drtbno_t xfs_sb::sb_rextents

## sb_rextsize

xfs_agblock_t xfs_sb::sb_rextsize

## sb_rextslog

uint8_t xfs_sb::sb_rextslog

## sb_rootino

xfs_ino_t xfs_sb::sb_rootino

## sb_rsumino

xfs_ino_t xfs_sb::sb_rsumino

## sb_sectlog

uint8_t xfs_sb::sb_sectlog

## sb_sectsize

uint16_t xfs_sb::sb_sectsize

## sb_shared_vn

uint8_t xfs_sb::sb_shared_vn

## sb_unit

uint32_t xfs_sb::sb_unit

## sb_uquotino

xfs_ino_t xfs_sb::sb_uquotino

## sb_uuid

uuid_t xfs_sb::sb_uuid

## sb_versionnum

uint16_t xfs_sb::sb_versionnum

## sb_width

uint32_t xfs_sb::sb_width

The documentation for this struct was generated from the following file:

- libparted/fs/xfs/xfs_sb.h